<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  構成定義情報の取得・設定
 *
 *  @access public
 */
function pocket_defineConfig()
{
    // DBから構成定義情報を取得し、定数定義
    $configs = db_get_blog_config_all();
    foreach ($configs as $config) {
        defined($config['name']) or define($config['name'], $config['value']);
    }
}

/**
 *  アクセスログを出力
 *
 *  @access public
 *  @param  string  $modName            モジュール名
 *  @param  string  $actName            アクション名
 *  @param  string  $typName            タイプ名
 */
function pocket_writeAccessLog($modName, $actName, $typName)
{
    // 同一IPで指定時間以内のアクセスログ情報の取得
    $id = db_get_accessLog4duplicationCheck($_SERVER['REMOTE_ADDR'], -POCKET_BLOG_LOG_CHECK_TIME);

    // 二重登録チェック
    if (!isset($id))
    {
        // アクセスログを登録
        db_insert_accessLog(
            $_SERVER['HTTP_USER_AGENT'],
            $_SERVER['REMOTE_ADDR'],
            @gethostbyaddr($_SERVER['REMOTE_ADDR']),
            $_SERVER['REQUEST_URI'],
            (empty($_SERVER['HTTP_REFERER'])) ? '' : $_SERVER['HTTP_REFERER']
        );
    }
}

/**
 *  禁止IPか判定
 *
 *  @access public
 *  @param  string  $ip                 IPアドレス
 */
function pocket_isBlockIP($ip)
{
    // 禁止IP情報の存在チェック
    if (db_is_exist_block4ip($ip))
    {
        // 禁止IPブロックログ情報の登録
        db_insert_blockLog($ip);
        return true;
    }
    return false;
}

/**
 *  認証判定
 *
 *  @access public
 */
function pocket_isAuth()
{
    // セッション情報をチェック
    if (!$_SESSION['user_id'] || !$_SESSION['password'])
    {
        return false;
    }
    return true;
}

?>
