<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  コメント情報削除用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.do
 */
class postCommentDeleteAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $post_id         = $request['post_id'];
        $post_comment_id = $request['post_comment_id'];

        // コメントの削除
        db_delete_post_comment($post_comment_id);

        // リダイレクト
        if (isset($post_id))
        {
            pocket_redirect('postComment.view', array('post_id' => $post_id));
        }
        else {
            pocket_redirect('unapprovedCommentList.view');
        }
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
