<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  トラックバック削除確認画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.view
 */
class postTrackbackDeleteConfirmAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $year         = $request['year'];
        $month        = $request['month'];
        $trackback_id = $request['trackback_id'];

        // 年月情報をSESSION変数に設定
        $this->setYearMonthInfo2Session($year, $month);

        /**
         *  メイン情報の取得、設定
         */
        // トラックバック情報の取得、設定
        $post_trackback = db_get_trackback4delete($trackback_id);
        $this->assign('post_trackback', $post_trackback);

        // トラックバック情報の存在チェック
        if (!$post_trackback)
            pocket_redirect('default.view');

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', 'トラックバックの削除');

        // 年月情報
        $this->assignYearMonthInfo($year, $month);

        // サイドメニュー情報の設定
        $this->assignSideMenuInfo();

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
