<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  セットアップTOP画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.setup.view
 */
class defaultAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        /**
         *  メイン情報の取得、設定
         */
        // 月コンボ情報の設定
        $this->assign('month', pocket_getAssoc4month());
        // 日コンボ情報の設定
        $this->assign('day', pocket_getAssoc4day());

        // DSNのDB種別
        $this->assign('dsn_phptype', $GLOBALS['_POCKET_DSN']['phptype']);

        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $this->assign('id', $request['id']);
            $this->assign('email', $request['email']);
            $this->assign('blog_name', $request['BLOG_NAME']);
            $this->assign('nickname', $request['nickname']);
            $this->assign('birth_year', $request['birth_year']);
            $this->assign('birth_month', $request['birth_month']);
            $this->assign('birth_day', $request['birth_day']);
        }

        /**
         *  基本情報の設定
         */
        // ページタイトル
        $this->assign('page_title', 'セットアップトップページ');

        return POCKET_ACTION_SUCCESS;
    }
}

?>
